
import { IScope } from "angular";
import { IModalServiceInstance } from "angular-ui-bootstrap";

export class CompleteAccessReviewDialogController {
    comment: string;

    /*@ngInject*/
    constructor(private $scope: IScope,
                initialComment: string,
                private $uibModalInstance: IModalServiceInstance) {

        this.comment = initialComment;

        // it is api for the confirmationService
        this.$scope.ok = () => {
            this.$uibModalInstance.close(this.comment);
        };

        // it is api for the confirmationService
        this.$scope.cancel = () => {
            this.$uibModalInstance.dismiss();
        };
    }
}