
import { ICreateGroupAssignmentSummaryResult } from "../../accessControl.api";
import { IScope } from "angular";
import { IModalServiceInstance } from "angular-ui-bootstrap";

export class CreateAssignmentsSummaryDialogController {
    /*@ngInject*/
    constructor(private $scope: IScope,
                public summary: ICreateGroupAssignmentSummaryResult,
                private $uibModalInstance: IModalServiceInstance) {

        // it is api for the confirmationService
        this.$scope.ok = () => {
            this.$uibModalInstance.close();
        };

        // it is api for the confirmationService
        this.$scope.cancel = () => {
            this.$uibModalInstance.dismiss();
        };
    }
}