'use strict';

import { register } from '@systemorph/web';

register.directive("scopeModelView", () => {
    return {
        restrict: 'E',
        replace: true,
        scope: {
            model: "=",
            highlight: "="
        },
        template: `<span>
                      <a ng-if="::model" ng-href="{{::(model.id | detailsUrl)}}" ng-bind-html="::(model | propertiesToUpper| dimensionName | highlight: highlight)"></a>
                      <b ng-if="::!model">n/a</b>
                  </span>`
    };
});