'use strict';

import { register, STATE, APPLICATION_STAGE } from '@systemorph/web';
import { ACCOUNT_STATE } from '../account.constants';

register.state({
    name: ACCOUNT_STATE.noAccessLayout,
    parent: STATE.sharedLayout,
    template: require('./noAccessLayout.html'),
    abstract: true
}, { applicationStage: APPLICATION_STAGE.any });

