'use strict';

import { register } from '@systemorph/web';

register.directive("issuerModelView", () => {
    return {
        restrict: 'E',
        replace: true,
        scope: {
            model: "=",
            highlight: "="
        },
        template: `<a ng-href="{{::(model.id | detailsUrl)}}" ng-bind-html="::(model | propertiesToUpper| dimensionName | highlight: highlight)"></a>`
    };
});