'use strict';

import { register, setPageTitle, STATE } from '@systemorph/web';
import { AC_STATE } from '../../accessControl.constants';
import { IScope } from 'angular';

class RequestsApprovalController {
    title: string;

    /*@ngInject*/
    constructor(private $scope: IScope) {
        this.title = "Requests for approval";
        setPageTitle(this.$scope, this.title);
    }
}

register.state({
    name: AC_STATE.accessRequestsApproval,
    parent: STATE.defaultLayout,
    url: '/accessRequestsApproval',
    template: require('./requestsApproval.html'),
    controllerAs: "pageCtrl",
    controller: RequestsApprovalController,
    suppressReloadMessage: true
})