import { register, STATE } from '@systemorph/web';
import { IStateService } from 'angular-ui-router';

register.filter('detailsUrl', ($state: IStateService) => {
    return (id: string) => {
        if (!id) {
            return null;
        }
        return $state.href(STATE.details, {entityId: id});
    };
});