import { register, mapKeysDeep } from '@systemorph/web';
import { upperFirst } from "lodash/fp";

register.filter('propertiesToUpper', () => {
    return (value: any) => {
        return (!value)
            ? value
            : mapKeysDeep(upperFirst)(value);
    };
});